/* -------------------WARNING------------------*/ 
/* Do not change without notifying ROC Conder  */ 
/* -------------------WARNING------------------*/ 
/*            MPMCDIMG.CMD                     */ 
 
/* MultiMedia Installation Routine to make a Hard Disk image of the 
   installation package and to modify the control files for hard disk.  */ 
 
parse upper arg DRIVE PATH 
'@echo off' 
 
say '    ' 
say "This CMD copies the MMPM/2 installation package from diskette to hard disk "
say "and changes the control files to the correct ones for hard disk operation. "
say "The hard disk installation package can then be used in response file "
say "generation and installation."  
say '    ' 
 
if length(DRIVE) <> 1 then call usage 
 
say "Usage: MPMCDIMG drive_letter [path]"  
say '    ' 
say '                '"PATH is any number of path levels but only the last one "
say "                may not exist. More than one non-existent path level may "
say "                cause errors."  
say '    ' 
 
INPUTFILE='A:\CONTROL.SCR' 
x=stream(INPUTFILE, 'c', 'close') 
 
signal on notready name fileclosed 
 
nextline=linein(INPUTFILE) 
filelist='' 
do forever 
     nextline=linein(INPUTFILE) 
     if nextline <> '' then 
         do 
         if (substr(nextline,1,9) = 'filelist=') then 
              do 
              filelist=substr(nextline,11,10) 
              say "filelist = "filelist"" 
              leave 
              end 
         end 
end  /* do forever */ 
 
fileclosed: 
    signal off notready 
 
    x=stream(INPUTFILE, 'c', 'close') 
 
if length(PATH) = 0 then 
    do 
    PATH='\MPMPACK' 
    end 
say "Copying MMPM/2 to hard disk."  
 
'md' DRIVE':'PATH 
'attrib -R ' DRIVE':'PATH'\* /S >nul 2>nul' 
say '    ' 
say "Please insert" "IBM Multimedia Presentation Manager/2 Diskette 1" "into "
say "diskette drive A:."  
say '    ' 
pause 
 
'xcopy a:\*.* ' DRIVE':'PATH'\*.* /s /v    2>nul' 
say '    ' 
say "Please insert" "IBM Multimedia Presentation Manager/2 Diskette 2" "into "
say "diskette drive A:."  
say '    ' 
pause 
 
'xcopy a:\*.* ' DRIVE':'PATH'\*.* /s /v    2>nul' 
 
if (filelist="master.mm3") then 
    do 
    say '    ' 
    say "Please insert" "IBM Multimedia Presentation Manager/2 Diskette 3" "into "
say "diskette drive A:."  
    say '    ' 
    pause 
 
    'xcopy a:\*.* ' DRIVE':'PATH'\*.* /s /v    2>nul' 
    end 
 
DRIVE':' 
'cd' PATH'\hdcontrl' 
'copy controlh.scr ..\control.scr' 
'copy masterhd.mmi ..\master.mm1' 
 
say "Package Generation Finished..."  
 
exit 0 
 
usage: 
say '    ' 
say "Usage: MPMCDIMG drive_letter [path]"  
say '    ' 
say "Where drive_letter = Drive on which to generate the package (this is "
say "      required)."  
say '     ' 
say '      '"[path] = the path without drive letter where the package should be "
say "      generated. (This is optional. The default is MPMPACK.)"  
say '     ' 
say '      '"PATH is any number of path levels but only the last one may not "
say "      exist. More than one non-existent path level may cause errors."  
say '     ' 
 
exit 0 
